import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export type CoreTokenInfoStruct = {
    tokenInfo: HyperCoreLib.TokenInfoStruct;
    coreIndex: BigNumberish;
    canBeUsedForAccountActivation: boolean;
    accountActivationFeeEVM: BigNumberish;
    accountActivationFeeCore: BigNumberish;
    bridgeSafetyBufferCore: BigNumberish;
};
export type CoreTokenInfoStructOutput = [
    HyperCoreLib.TokenInfoStructOutput,
    BigNumber,
    boolean,
    BigNumber,
    BigNumber,
    BigNumber
] & {
    tokenInfo: HyperCoreLib.TokenInfoStructOutput;
    coreIndex: BigNumber;
    canBeUsedForAccountActivation: boolean;
    accountActivationFeeEVM: BigNumber;
    accountActivationFeeCore: BigNumber;
    bridgeSafetyBufferCore: BigNumber;
};
export type CommonFlowParamsStruct = {
    amountInEVM: BigNumberish;
    quoteNonce: BytesLike;
    finalRecipient: string;
    finalToken: string;
    maxBpsToSponsor: BigNumberish;
    extraFeesIncurred: BigNumberish;
};
export type CommonFlowParamsStructOutput = [
    BigNumber,
    string,
    string,
    string,
    BigNumber,
    BigNumber
] & {
    amountInEVM: BigNumber;
    quoteNonce: string;
    finalRecipient: string;
    finalToken: string;
    maxBpsToSponsor: BigNumber;
    extraFeesIncurred: BigNumber;
};
export type FinalTokenInfoStruct = {
    spotIndex: BigNumberish;
    isBuy: boolean;
    feePpm: BigNumberish;
    suggestedDiscountBps: BigNumberish;
    swapHandler: string;
};
export type FinalTokenInfoStructOutput = [
    number,
    boolean,
    number,
    number,
    string
] & {
    spotIndex: number;
    isBuy: boolean;
    feePpm: number;
    suggestedDiscountBps: number;
    swapHandler: string;
};
export declare namespace HyperCoreLib {
    type TokenInfoStruct = {
        name: string;
        spots: BigNumberish[];
        deployerTradingFeeShare: BigNumberish;
        deployer: string;
        evmContract: string;
        szDecimals: BigNumberish;
        weiDecimals: BigNumberish;
        evmExtraWeiDecimals: BigNumberish;
    };
    type TokenInfoStructOutput = [
        string,
        BigNumber[],
        BigNumber,
        string,
        string,
        number,
        number,
        number
    ] & {
        name: string;
        spots: BigNumber[];
        deployerTradingFeeShare: BigNumber;
        deployer: string;
        evmContract: string;
        szDecimals: number;
        weiDecimals: number;
        evmExtraWeiDecimals: number;
    };
}
export declare namespace HyperCoreFlowExecutor {
    type SwapFlowStateStruct = {
        finalRecipient: string;
        finalToken: string;
        minAmountToSend: BigNumberish;
        maxAmountToSend: BigNumberish;
        isSponsored: boolean;
        finalized: boolean;
    };
    type SwapFlowStateStructOutput = [
        string,
        string,
        BigNumber,
        BigNumber,
        boolean,
        boolean
    ] & {
        finalRecipient: string;
        finalToken: string;
        minAmountToSend: BigNumber;
        maxAmountToSend: BigNumber;
        isSponsored: boolean;
        finalized: boolean;
    };
}
export interface HyperCoreFlowExecutorInterface extends utils.Interface {
    functions: {
        "AUTHORIZED_FUNDED_FLOW_SLOT()": FunctionFragment;
        "DEFAULT_ADMIN_ROLE()": FunctionFragment;
        "FUNDS_SWEEPER_ROLE()": FunctionFragment;
        "ONEX1e8()": FunctionFragment;
        "PERMISSIONED_BOT_ROLE()": FunctionFragment;
        "PPM_DECIMALS()": FunctionFragment;
        "PPM_SCALAR()": FunctionFragment;
        "activateUserAccount(bytes32,address,address)": FunctionFragment;
        "baseToken()": FunctionFragment;
        "cancelLimitOrderByCloid(address,uint128)": FunctionFragment;
        "coreTokenInfos(address)": FunctionFragment;
        "cumulativeSponsoredActivationFee(address)": FunctionFragment;
        "cumulativeSponsoredAmount(address)": FunctionFragment;
        "donationBox()": FunctionFragment;
        "executeFlow((uint256,bytes32,address,address,uint256,uint256),uint256)": FunctionFragment;
        "executeSimpleTransferFlow((uint256,bytes32,address,address,uint256,uint256))": FunctionFragment;
        "fallbackHyperEVMFlow((uint256,bytes32,address,address,uint256,uint256))": FunctionFragment;
        "finalTokenInfos(address)": FunctionFragment;
        "finalizeSwapFlows(address,bytes32[],uint64[])": FunctionFragment;
        "getRoleAdmin(bytes32)": FunctionFragment;
        "grantRole(bytes32,address)": FunctionFragment;
        "hasRole(bytes32,address)": FunctionFragment;
        "lastPullFundsBlock(address)": FunctionFragment;
        "predictSwapHandler(address)": FunctionFragment;
        "renounceRole(bytes32,address)": FunctionFragment;
        "revokeRole(bytes32,address)": FunctionFragment;
        "sendSponsorshipFundsToSwapHandler(address,uint256)": FunctionFragment;
        "setCoreTokenInfo(address,uint32,bool,uint64,uint64)": FunctionFragment;
        "setFinalTokenInfo(address,uint32,bool,uint32,uint32)": FunctionFragment;
        "submitLimitOrderFromBot(address,uint64,uint64,uint128)": FunctionFragment;
        "supportsInterface(bytes4)": FunctionFragment;
        "swaps(bytes32)": FunctionFragment;
        "sweepERC20FromSwapHandler(address,uint256)": FunctionFragment;
        "sweepErc20(address,uint256)": FunctionFragment;
        "sweepErc20FromDonationBox(address,uint256)": FunctionFragment;
        "sweepNative(uint256)": FunctionFragment;
        "sweepOnCore(address,uint64)": FunctionFragment;
        "sweepOnCoreFromSwapHandler(address,uint64,uint64)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "AUTHORIZED_FUNDED_FLOW_SLOT" | "DEFAULT_ADMIN_ROLE" | "FUNDS_SWEEPER_ROLE" | "ONEX1e8" | "PERMISSIONED_BOT_ROLE" | "PPM_DECIMALS" | "PPM_SCALAR" | "activateUserAccount" | "baseToken" | "cancelLimitOrderByCloid" | "coreTokenInfos" | "cumulativeSponsoredActivationFee" | "cumulativeSponsoredAmount" | "donationBox" | "executeFlow" | "executeSimpleTransferFlow" | "fallbackHyperEVMFlow" | "finalTokenInfos" | "finalizeSwapFlows" | "getRoleAdmin" | "grantRole" | "hasRole" | "lastPullFundsBlock" | "predictSwapHandler" | "renounceRole" | "revokeRole" | "sendSponsorshipFundsToSwapHandler" | "setCoreTokenInfo" | "setFinalTokenInfo" | "submitLimitOrderFromBot" | "supportsInterface" | "swaps" | "sweepERC20FromSwapHandler" | "sweepErc20" | "sweepErc20FromDonationBox" | "sweepNative" | "sweepOnCore" | "sweepOnCoreFromSwapHandler"): FunctionFragment;
    encodeFunctionData(functionFragment: "AUTHORIZED_FUNDED_FLOW_SLOT", values?: undefined): string;
    encodeFunctionData(functionFragment: "DEFAULT_ADMIN_ROLE", values?: undefined): string;
    encodeFunctionData(functionFragment: "FUNDS_SWEEPER_ROLE", values?: undefined): string;
    encodeFunctionData(functionFragment: "ONEX1e8", values?: undefined): string;
    encodeFunctionData(functionFragment: "PERMISSIONED_BOT_ROLE", values?: undefined): string;
    encodeFunctionData(functionFragment: "PPM_DECIMALS", values?: undefined): string;
    encodeFunctionData(functionFragment: "PPM_SCALAR", values?: undefined): string;
    encodeFunctionData(functionFragment: "activateUserAccount", values: [BytesLike, string, string]): string;
    encodeFunctionData(functionFragment: "baseToken", values?: undefined): string;
    encodeFunctionData(functionFragment: "cancelLimitOrderByCloid", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "coreTokenInfos", values: [string]): string;
    encodeFunctionData(functionFragment: "cumulativeSponsoredActivationFee", values: [string]): string;
    encodeFunctionData(functionFragment: "cumulativeSponsoredAmount", values: [string]): string;
    encodeFunctionData(functionFragment: "donationBox", values?: undefined): string;
    encodeFunctionData(functionFragment: "executeFlow", values: [CommonFlowParamsStruct, BigNumberish]): string;
    encodeFunctionData(functionFragment: "executeSimpleTransferFlow", values: [CommonFlowParamsStruct]): string;
    encodeFunctionData(functionFragment: "fallbackHyperEVMFlow", values: [CommonFlowParamsStruct]): string;
    encodeFunctionData(functionFragment: "finalTokenInfos", values: [string]): string;
    encodeFunctionData(functionFragment: "finalizeSwapFlows", values: [string, BytesLike[], BigNumberish[]]): string;
    encodeFunctionData(functionFragment: "getRoleAdmin", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "grantRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "hasRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "lastPullFundsBlock", values: [string]): string;
    encodeFunctionData(functionFragment: "predictSwapHandler", values: [string]): string;
    encodeFunctionData(functionFragment: "renounceRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "revokeRole", values: [BytesLike, string]): string;
    encodeFunctionData(functionFragment: "sendSponsorshipFundsToSwapHandler", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "setCoreTokenInfo", values: [string, BigNumberish, boolean, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "setFinalTokenInfo", values: [string, BigNumberish, boolean, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "submitLimitOrderFromBot", values: [string, BigNumberish, BigNumberish, BigNumberish]): string;
    encodeFunctionData(functionFragment: "supportsInterface", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "swaps", values: [BytesLike]): string;
    encodeFunctionData(functionFragment: "sweepERC20FromSwapHandler", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "sweepErc20", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "sweepErc20FromDonationBox", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "sweepNative", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "sweepOnCore", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "sweepOnCoreFromSwapHandler", values: [string, BigNumberish, BigNumberish]): string;
    decodeFunctionResult(functionFragment: "AUTHORIZED_FUNDED_FLOW_SLOT", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "DEFAULT_ADMIN_ROLE", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "FUNDS_SWEEPER_ROLE", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "ONEX1e8", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "PERMISSIONED_BOT_ROLE", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "PPM_DECIMALS", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "PPM_SCALAR", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "activateUserAccount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "baseToken", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "cancelLimitOrderByCloid", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "coreTokenInfos", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "cumulativeSponsoredActivationFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "cumulativeSponsoredAmount", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "donationBox", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executeFlow", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "executeSimpleTransferFlow", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "fallbackHyperEVMFlow", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "finalTokenInfos", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "finalizeSwapFlows", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRoleAdmin", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "grantRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hasRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lastPullFundsBlock", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "predictSwapHandler", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "renounceRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "revokeRole", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sendSponsorshipFundsToSwapHandler", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setCoreTokenInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setFinalTokenInfo", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "submitLimitOrderFromBot", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "supportsInterface", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "swaps", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sweepERC20FromSwapHandler", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sweepErc20", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sweepErc20FromDonationBox", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sweepNative", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sweepOnCore", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sweepOnCoreFromSwapHandler", data: BytesLike): Result;
    events: {
        "AccountNotActivated(bytes32,address)": EventFragment;
        "CancelledLimitOrder(address,uint128)": EventFragment;
        "DonationBoxInsufficientFunds(bytes32,address,uint256,uint256)": EventFragment;
        "FallbackHyperEVMFlowCompleted(bytes32,address,address,uint256,uint256,uint256)": EventFragment;
        "Initialized(uint64)": EventFragment;
        "RoleAdminChanged(bytes32,bytes32,bytes32)": EventFragment;
        "RoleGranted(bytes32,address,address)": EventFragment;
        "RoleRevoked(bytes32,address,address)": EventFragment;
        "SentSponsorshipFundsToSwapHandler(address,uint256)": EventFragment;
        "SetCoreTokenInfo(address,uint32,bool,uint64,uint64)": EventFragment;
        "SetFinalTokenInfo(address,uint32,bool,uint32,address,uint32)": EventFragment;
        "SimpleTransferFlowCompleted(bytes32,address,address,uint256,uint256,uint256)": EventFragment;
        "SponsoredAccountActivation(bytes32,address,address,uint256)": EventFragment;
        "SubmittedLimitOrder(address,uint64,uint64,uint128)": EventFragment;
        "SwapFlowFinalized(bytes32,address,address,uint64,uint256)": EventFragment;
        "SwapFlowInitialized(bytes32,address,address,uint256,uint256,uint256,uint64,uint64)": EventFragment;
        "SwapFlowTooExpensive(bytes32,address,uint256,uint256)": EventFragment;
        "UnsafeToBridge(bytes32,address,uint64)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "AccountNotActivated"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "CancelledLimitOrder"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "DonationBoxInsufficientFunds"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "FallbackHyperEVMFlowCompleted"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Initialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleAdminChanged"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleGranted"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "RoleRevoked"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SentSponsorshipFundsToSwapHandler"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SetCoreTokenInfo"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SetFinalTokenInfo"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SimpleTransferFlowCompleted"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SponsoredAccountActivation"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SubmittedLimitOrder"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SwapFlowFinalized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SwapFlowInitialized"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "SwapFlowTooExpensive"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "UnsafeToBridge"): EventFragment;
}
export interface AccountNotActivatedEventObject {
    quoteNonce: string;
    user: string;
}
export type AccountNotActivatedEvent = TypedEvent<[
    string,
    string
], AccountNotActivatedEventObject>;
export type AccountNotActivatedEventFilter = TypedEventFilter<AccountNotActivatedEvent>;
export interface CancelledLimitOrderEventObject {
    token: string;
    cloid: BigNumber;
}
export type CancelledLimitOrderEvent = TypedEvent<[
    string,
    BigNumber
], CancelledLimitOrderEventObject>;
export type CancelledLimitOrderEventFilter = TypedEventFilter<CancelledLimitOrderEvent>;
export interface DonationBoxInsufficientFundsEventObject {
    quoteNonce: string;
    token: string;
    amount: BigNumber;
    balance: BigNumber;
}
export type DonationBoxInsufficientFundsEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    BigNumber
], DonationBoxInsufficientFundsEventObject>;
export type DonationBoxInsufficientFundsEventFilter = TypedEventFilter<DonationBoxInsufficientFundsEvent>;
export interface FallbackHyperEVMFlowCompletedEventObject {
    quoteNonce: string;
    finalRecipient: string;
    finalToken: string;
    evmAmountIn: BigNumber;
    bridgingFeesIncurred: BigNumber;
    evmAmountSponsored: BigNumber;
}
export type FallbackHyperEVMFlowCompletedEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber,
    BigNumber
], FallbackHyperEVMFlowCompletedEventObject>;
export type FallbackHyperEVMFlowCompletedEventFilter = TypedEventFilter<FallbackHyperEVMFlowCompletedEvent>;
export interface InitializedEventObject {
    version: BigNumber;
}
export type InitializedEvent = TypedEvent<[BigNumber], InitializedEventObject>;
export type InitializedEventFilter = TypedEventFilter<InitializedEvent>;
export interface RoleAdminChangedEventObject {
    role: string;
    previousAdminRole: string;
    newAdminRole: string;
}
export type RoleAdminChangedEvent = TypedEvent<[
    string,
    string,
    string
], RoleAdminChangedEventObject>;
export type RoleAdminChangedEventFilter = TypedEventFilter<RoleAdminChangedEvent>;
export interface RoleGrantedEventObject {
    role: string;
    account: string;
    sender: string;
}
export type RoleGrantedEvent = TypedEvent<[
    string,
    string,
    string
], RoleGrantedEventObject>;
export type RoleGrantedEventFilter = TypedEventFilter<RoleGrantedEvent>;
export interface RoleRevokedEventObject {
    role: string;
    account: string;
    sender: string;
}
export type RoleRevokedEvent = TypedEvent<[
    string,
    string,
    string
], RoleRevokedEventObject>;
export type RoleRevokedEventFilter = TypedEventFilter<RoleRevokedEvent>;
export interface SentSponsorshipFundsToSwapHandlerEventObject {
    token: string;
    evmAmountSponsored: BigNumber;
}
export type SentSponsorshipFundsToSwapHandlerEvent = TypedEvent<[
    string,
    BigNumber
], SentSponsorshipFundsToSwapHandlerEventObject>;
export type SentSponsorshipFundsToSwapHandlerEventFilter = TypedEventFilter<SentSponsorshipFundsToSwapHandlerEvent>;
export interface SetCoreTokenInfoEventObject {
    token: string;
    coreIndex: number;
    canBeUsedForAccountActivation: boolean;
    accountActivationFeeCore: BigNumber;
    bridgeSafetyBufferCore: BigNumber;
}
export type SetCoreTokenInfoEvent = TypedEvent<[
    string,
    number,
    boolean,
    BigNumber,
    BigNumber
], SetCoreTokenInfoEventObject>;
export type SetCoreTokenInfoEventFilter = TypedEventFilter<SetCoreTokenInfoEvent>;
export interface SetFinalTokenInfoEventObject {
    token: string;
    spotIndex: number;
    isBuy: boolean;
    feePpm: number;
    swapHandler: string;
    suggestedFeeDiscountBps: number;
}
export type SetFinalTokenInfoEvent = TypedEvent<[
    string,
    number,
    boolean,
    number,
    string,
    number
], SetFinalTokenInfoEventObject>;
export type SetFinalTokenInfoEventFilter = TypedEventFilter<SetFinalTokenInfoEvent>;
export interface SimpleTransferFlowCompletedEventObject {
    quoteNonce: string;
    finalRecipient: string;
    finalToken: string;
    evmAmountIn: BigNumber;
    bridgingFeesIncurred: BigNumber;
    evmAmountSponsored: BigNumber;
}
export type SimpleTransferFlowCompletedEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber,
    BigNumber
], SimpleTransferFlowCompletedEventObject>;
export type SimpleTransferFlowCompletedEventFilter = TypedEventFilter<SimpleTransferFlowCompletedEvent>;
export interface SponsoredAccountActivationEventObject {
    quoteNonce: string;
    finalRecipient: string;
    fundingToken: string;
    evmAmountSponsored: BigNumber;
}
export type SponsoredAccountActivationEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber
], SponsoredAccountActivationEventObject>;
export type SponsoredAccountActivationEventFilter = TypedEventFilter<SponsoredAccountActivationEvent>;
export interface SubmittedLimitOrderEventObject {
    token: string;
    priceX1e8: BigNumber;
    sizeX1e8: BigNumber;
    cloid: BigNumber;
}
export type SubmittedLimitOrderEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber
], SubmittedLimitOrderEventObject>;
export type SubmittedLimitOrderEventFilter = TypedEventFilter<SubmittedLimitOrderEvent>;
export interface SwapFlowFinalizedEventObject {
    quoteNonce: string;
    finalRecipient: string;
    finalToken: string;
    totalSent: BigNumber;
    evmAmountSponsored: BigNumber;
}
export type SwapFlowFinalizedEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber
], SwapFlowFinalizedEventObject>;
export type SwapFlowFinalizedEventFilter = TypedEventFilter<SwapFlowFinalizedEvent>;
export interface SwapFlowInitializedEventObject {
    quoteNonce: string;
    finalRecipient: string;
    finalToken: string;
    evmAmountIn: BigNumber;
    bridgingFeesIncurred: BigNumber;
    coreAmountIn: BigNumber;
    minAmountToSend: BigNumber;
    maxAmountToSend: BigNumber;
}
export type SwapFlowInitializedEvent = TypedEvent<[
    string,
    string,
    string,
    BigNumber,
    BigNumber,
    BigNumber,
    BigNumber,
    BigNumber
], SwapFlowInitializedEventObject>;
export type SwapFlowInitializedEventFilter = TypedEventFilter<SwapFlowInitializedEvent>;
export interface SwapFlowTooExpensiveEventObject {
    quoteNonce: string;
    finalToken: string;
    estBpsSlippage: BigNumber;
    maxAllowableBpsSlippage: BigNumber;
}
export type SwapFlowTooExpensiveEvent = TypedEvent<[
    string,
    string,
    BigNumber,
    BigNumber
], SwapFlowTooExpensiveEventObject>;
export type SwapFlowTooExpensiveEventFilter = TypedEventFilter<SwapFlowTooExpensiveEvent>;
export interface UnsafeToBridgeEventObject {
    quoteNonce: string;
    token: string;
    amount: BigNumber;
}
export type UnsafeToBridgeEvent = TypedEvent<[
    string,
    string,
    BigNumber
], UnsafeToBridgeEventObject>;
export type UnsafeToBridgeEventFilter = TypedEventFilter<UnsafeToBridgeEvent>;
export interface HyperCoreFlowExecutor extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: HyperCoreFlowExecutorInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<[string]>;
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<[string]>;
        FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<[string]>;
        ONEX1e8(overrides?: CallOverrides): Promise<[BigNumber]>;
        PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<[string]>;
        PPM_DECIMALS(overrides?: CallOverrides): Promise<[BigNumber]>;
        PPM_SCALAR(overrides?: CallOverrides): Promise<[BigNumber]>;
        activateUserAccount(quoteNonce: BytesLike, finalRecipient: string, fundingToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        baseToken(overrides?: CallOverrides): Promise<[string]>;
        cancelLimitOrderByCloid(finalToken: string, cloid: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        coreTokenInfos(token: string, overrides?: CallOverrides): Promise<[CoreTokenInfoStructOutput]>;
        cumulativeSponsoredActivationFee(token: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        cumulativeSponsoredAmount(token: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        donationBox(overrides?: CallOverrides): Promise<[string]>;
        executeFlow(params: CommonFlowParamsStruct, maxUserSlippageBps: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        executeSimpleTransferFlow(params: CommonFlowParamsStruct, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        fallbackHyperEVMFlow(params: CommonFlowParamsStruct, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        finalTokenInfos(token: string, overrides?: CallOverrides): Promise<[FinalTokenInfoStructOutput]>;
        finalizeSwapFlows(finalToken: string, quoteNonces: BytesLike[], limitOrderOuts: BigNumberish[], overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<[string]>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<[boolean]>;
        lastPullFundsBlock(token: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        predictSwapHandler(finalToken: string, overrides?: CallOverrides): Promise<[string]>;
        renounceRole(role: BytesLike, callerConfirmation: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        sendSponsorshipFundsToSwapHandler(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setCoreTokenInfo(token: string, coreIndex: BigNumberish, canBeUsedForAccountActivation: boolean, accountActivationFeeCore: BigNumberish, bridgeSafetyBufferCore: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        setFinalTokenInfo(finalToken: string, spotIndex: BigNumberish, isBuy: boolean, feePpm: BigNumberish, suggestedDiscountBps: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        submitLimitOrderFromBot(finalToken: string, priceX1e8: BigNumberish, sizeX1e8: BigNumberish, cloid: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<[boolean]>;
        swaps(quoteNonce: BytesLike, overrides?: CallOverrides): Promise<[HyperCoreFlowExecutor.SwapFlowStateStructOutput]>;
        sweepERC20FromSwapHandler(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        sweepErc20(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        sweepErc20FromDonationBox(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        sweepNative(amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        sweepOnCore(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
        sweepOnCoreFromSwapHandler(finalToken: string, finalTokenAmount: BigNumberish, baseTokenAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<ContractTransaction>;
    };
    AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<string>;
    DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<string>;
    FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<string>;
    ONEX1e8(overrides?: CallOverrides): Promise<BigNumber>;
    PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<string>;
    PPM_DECIMALS(overrides?: CallOverrides): Promise<BigNumber>;
    PPM_SCALAR(overrides?: CallOverrides): Promise<BigNumber>;
    activateUserAccount(quoteNonce: BytesLike, finalRecipient: string, fundingToken: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    baseToken(overrides?: CallOverrides): Promise<string>;
    cancelLimitOrderByCloid(finalToken: string, cloid: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    coreTokenInfos(token: string, overrides?: CallOverrides): Promise<CoreTokenInfoStructOutput>;
    cumulativeSponsoredActivationFee(token: string, overrides?: CallOverrides): Promise<BigNumber>;
    cumulativeSponsoredAmount(token: string, overrides?: CallOverrides): Promise<BigNumber>;
    donationBox(overrides?: CallOverrides): Promise<string>;
    executeFlow(params: CommonFlowParamsStruct, maxUserSlippageBps: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    executeSimpleTransferFlow(params: CommonFlowParamsStruct, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    fallbackHyperEVMFlow(params: CommonFlowParamsStruct, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    finalTokenInfos(token: string, overrides?: CallOverrides): Promise<FinalTokenInfoStructOutput>;
    finalizeSwapFlows(finalToken: string, quoteNonces: BytesLike[], limitOrderOuts: BigNumberish[], overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<string>;
    grantRole(role: BytesLike, account: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<boolean>;
    lastPullFundsBlock(token: string, overrides?: CallOverrides): Promise<BigNumber>;
    predictSwapHandler(finalToken: string, overrides?: CallOverrides): Promise<string>;
    renounceRole(role: BytesLike, callerConfirmation: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    sendSponsorshipFundsToSwapHandler(token: string, amount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setCoreTokenInfo(token: string, coreIndex: BigNumberish, canBeUsedForAccountActivation: boolean, accountActivationFeeCore: BigNumberish, bridgeSafetyBufferCore: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    setFinalTokenInfo(finalToken: string, spotIndex: BigNumberish, isBuy: boolean, feePpm: BigNumberish, suggestedDiscountBps: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    submitLimitOrderFromBot(finalToken: string, priceX1e8: BigNumberish, sizeX1e8: BigNumberish, cloid: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<boolean>;
    swaps(quoteNonce: BytesLike, overrides?: CallOverrides): Promise<HyperCoreFlowExecutor.SwapFlowStateStructOutput>;
    sweepERC20FromSwapHandler(token: string, amount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    sweepErc20(token: string, amount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    sweepErc20FromDonationBox(token: string, amount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    sweepNative(amount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    sweepOnCore(token: string, amount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    sweepOnCoreFromSwapHandler(finalToken: string, finalTokenAmount: BigNumberish, baseTokenAmount: BigNumberish, overrides?: Overrides & {
        from?: string;
    }): Promise<ContractTransaction>;
    callStatic: {
        AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<string>;
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<string>;
        FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<string>;
        ONEX1e8(overrides?: CallOverrides): Promise<BigNumber>;
        PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<string>;
        PPM_DECIMALS(overrides?: CallOverrides): Promise<BigNumber>;
        PPM_SCALAR(overrides?: CallOverrides): Promise<BigNumber>;
        activateUserAccount(quoteNonce: BytesLike, finalRecipient: string, fundingToken: string, overrides?: CallOverrides): Promise<void>;
        baseToken(overrides?: CallOverrides): Promise<string>;
        cancelLimitOrderByCloid(finalToken: string, cloid: BigNumberish, overrides?: CallOverrides): Promise<void>;
        coreTokenInfos(token: string, overrides?: CallOverrides): Promise<CoreTokenInfoStructOutput>;
        cumulativeSponsoredActivationFee(token: string, overrides?: CallOverrides): Promise<BigNumber>;
        cumulativeSponsoredAmount(token: string, overrides?: CallOverrides): Promise<BigNumber>;
        donationBox(overrides?: CallOverrides): Promise<string>;
        executeFlow(params: CommonFlowParamsStruct, maxUserSlippageBps: BigNumberish, overrides?: CallOverrides): Promise<void>;
        executeSimpleTransferFlow(params: CommonFlowParamsStruct, overrides?: CallOverrides): Promise<void>;
        fallbackHyperEVMFlow(params: CommonFlowParamsStruct, overrides?: CallOverrides): Promise<void>;
        finalTokenInfos(token: string, overrides?: CallOverrides): Promise<FinalTokenInfoStructOutput>;
        finalizeSwapFlows(finalToken: string, quoteNonces: BytesLike[], limitOrderOuts: BigNumberish[], overrides?: CallOverrides): Promise<BigNumber>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<string>;
        grantRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<void>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<boolean>;
        lastPullFundsBlock(token: string, overrides?: CallOverrides): Promise<BigNumber>;
        predictSwapHandler(finalToken: string, overrides?: CallOverrides): Promise<string>;
        renounceRole(role: BytesLike, callerConfirmation: string, overrides?: CallOverrides): Promise<void>;
        revokeRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<void>;
        sendSponsorshipFundsToSwapHandler(token: string, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setCoreTokenInfo(token: string, coreIndex: BigNumberish, canBeUsedForAccountActivation: boolean, accountActivationFeeCore: BigNumberish, bridgeSafetyBufferCore: BigNumberish, overrides?: CallOverrides): Promise<void>;
        setFinalTokenInfo(finalToken: string, spotIndex: BigNumberish, isBuy: boolean, feePpm: BigNumberish, suggestedDiscountBps: BigNumberish, overrides?: CallOverrides): Promise<void>;
        submitLimitOrderFromBot(finalToken: string, priceX1e8: BigNumberish, sizeX1e8: BigNumberish, cloid: BigNumberish, overrides?: CallOverrides): Promise<void>;
        supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<boolean>;
        swaps(quoteNonce: BytesLike, overrides?: CallOverrides): Promise<HyperCoreFlowExecutor.SwapFlowStateStructOutput>;
        sweepERC20FromSwapHandler(token: string, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        sweepErc20(token: string, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        sweepErc20FromDonationBox(token: string, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        sweepNative(amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        sweepOnCore(token: string, amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        sweepOnCoreFromSwapHandler(finalToken: string, finalTokenAmount: BigNumberish, baseTokenAmount: BigNumberish, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "AccountNotActivated(bytes32,address)"(quoteNonce?: BytesLike | null, user?: null): AccountNotActivatedEventFilter;
        AccountNotActivated(quoteNonce?: BytesLike | null, user?: null): AccountNotActivatedEventFilter;
        "CancelledLimitOrder(address,uint128)"(token?: string | null, cloid?: BigNumberish | null): CancelledLimitOrderEventFilter;
        CancelledLimitOrder(token?: string | null, cloid?: BigNumberish | null): CancelledLimitOrderEventFilter;
        "DonationBoxInsufficientFunds(bytes32,address,uint256,uint256)"(quoteNonce?: BytesLike | null, token?: null, amount?: null, balance?: null): DonationBoxInsufficientFundsEventFilter;
        DonationBoxInsufficientFunds(quoteNonce?: BytesLike | null, token?: null, amount?: null, balance?: null): DonationBoxInsufficientFundsEventFilter;
        "FallbackHyperEVMFlowCompleted(bytes32,address,address,uint256,uint256,uint256)"(quoteNonce?: BytesLike | null, finalRecipient?: string | null, finalToken?: string | null, evmAmountIn?: null, bridgingFeesIncurred?: null, evmAmountSponsored?: null): FallbackHyperEVMFlowCompletedEventFilter;
        FallbackHyperEVMFlowCompleted(quoteNonce?: BytesLike | null, finalRecipient?: string | null, finalToken?: string | null, evmAmountIn?: null, bridgingFeesIncurred?: null, evmAmountSponsored?: null): FallbackHyperEVMFlowCompletedEventFilter;
        "Initialized(uint64)"(version?: null): InitializedEventFilter;
        Initialized(version?: null): InitializedEventFilter;
        "RoleAdminChanged(bytes32,bytes32,bytes32)"(role?: BytesLike | null, previousAdminRole?: BytesLike | null, newAdminRole?: BytesLike | null): RoleAdminChangedEventFilter;
        RoleAdminChanged(role?: BytesLike | null, previousAdminRole?: BytesLike | null, newAdminRole?: BytesLike | null): RoleAdminChangedEventFilter;
        "RoleGranted(bytes32,address,address)"(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleGrantedEventFilter;
        RoleGranted(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleGrantedEventFilter;
        "RoleRevoked(bytes32,address,address)"(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleRevokedEventFilter;
        RoleRevoked(role?: BytesLike | null, account?: string | null, sender?: string | null): RoleRevokedEventFilter;
        "SentSponsorshipFundsToSwapHandler(address,uint256)"(token?: string | null, evmAmountSponsored?: null): SentSponsorshipFundsToSwapHandlerEventFilter;
        SentSponsorshipFundsToSwapHandler(token?: string | null, evmAmountSponsored?: null): SentSponsorshipFundsToSwapHandlerEventFilter;
        "SetCoreTokenInfo(address,uint32,bool,uint64,uint64)"(token?: string | null, coreIndex?: null, canBeUsedForAccountActivation?: null, accountActivationFeeCore?: null, bridgeSafetyBufferCore?: null): SetCoreTokenInfoEventFilter;
        SetCoreTokenInfo(token?: string | null, coreIndex?: null, canBeUsedForAccountActivation?: null, accountActivationFeeCore?: null, bridgeSafetyBufferCore?: null): SetCoreTokenInfoEventFilter;
        "SetFinalTokenInfo(address,uint32,bool,uint32,address,uint32)"(token?: string | null, spotIndex?: null, isBuy?: null, feePpm?: null, swapHandler?: string | null, suggestedFeeDiscountBps?: null): SetFinalTokenInfoEventFilter;
        SetFinalTokenInfo(token?: string | null, spotIndex?: null, isBuy?: null, feePpm?: null, swapHandler?: string | null, suggestedFeeDiscountBps?: null): SetFinalTokenInfoEventFilter;
        "SimpleTransferFlowCompleted(bytes32,address,address,uint256,uint256,uint256)"(quoteNonce?: BytesLike | null, finalRecipient?: string | null, finalToken?: string | null, evmAmountIn?: null, bridgingFeesIncurred?: null, evmAmountSponsored?: null): SimpleTransferFlowCompletedEventFilter;
        SimpleTransferFlowCompleted(quoteNonce?: BytesLike | null, finalRecipient?: string | null, finalToken?: string | null, evmAmountIn?: null, bridgingFeesIncurred?: null, evmAmountSponsored?: null): SimpleTransferFlowCompletedEventFilter;
        "SponsoredAccountActivation(bytes32,address,address,uint256)"(quoteNonce?: BytesLike | null, finalRecipient?: string | null, fundingToken?: string | null, evmAmountSponsored?: null): SponsoredAccountActivationEventFilter;
        SponsoredAccountActivation(quoteNonce?: BytesLike | null, finalRecipient?: string | null, fundingToken?: string | null, evmAmountSponsored?: null): SponsoredAccountActivationEventFilter;
        "SubmittedLimitOrder(address,uint64,uint64,uint128)"(token?: string | null, priceX1e8?: null, sizeX1e8?: null, cloid?: BigNumberish | null): SubmittedLimitOrderEventFilter;
        SubmittedLimitOrder(token?: string | null, priceX1e8?: null, sizeX1e8?: null, cloid?: BigNumberish | null): SubmittedLimitOrderEventFilter;
        "SwapFlowFinalized(bytes32,address,address,uint64,uint256)"(quoteNonce?: BytesLike | null, finalRecipient?: string | null, finalToken?: string | null, totalSent?: null, evmAmountSponsored?: null): SwapFlowFinalizedEventFilter;
        SwapFlowFinalized(quoteNonce?: BytesLike | null, finalRecipient?: string | null, finalToken?: string | null, totalSent?: null, evmAmountSponsored?: null): SwapFlowFinalizedEventFilter;
        "SwapFlowInitialized(bytes32,address,address,uint256,uint256,uint256,uint64,uint64)"(quoteNonce?: BytesLike | null, finalRecipient?: string | null, finalToken?: string | null, evmAmountIn?: null, bridgingFeesIncurred?: null, coreAmountIn?: null, minAmountToSend?: null, maxAmountToSend?: null): SwapFlowInitializedEventFilter;
        SwapFlowInitialized(quoteNonce?: BytesLike | null, finalRecipient?: string | null, finalToken?: string | null, evmAmountIn?: null, bridgingFeesIncurred?: null, coreAmountIn?: null, minAmountToSend?: null, maxAmountToSend?: null): SwapFlowInitializedEventFilter;
        "SwapFlowTooExpensive(bytes32,address,uint256,uint256)"(quoteNonce?: BytesLike | null, finalToken?: string | null, estBpsSlippage?: null, maxAllowableBpsSlippage?: null): SwapFlowTooExpensiveEventFilter;
        SwapFlowTooExpensive(quoteNonce?: BytesLike | null, finalToken?: string | null, estBpsSlippage?: null, maxAllowableBpsSlippage?: null): SwapFlowTooExpensiveEventFilter;
        "UnsafeToBridge(bytes32,address,uint64)"(quoteNonce?: BytesLike | null, token?: string | null, amount?: null): UnsafeToBridgeEventFilter;
        UnsafeToBridge(quoteNonce?: BytesLike | null, token?: string | null, amount?: null): UnsafeToBridgeEventFilter;
    };
    estimateGas: {
        AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<BigNumber>;
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<BigNumber>;
        FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<BigNumber>;
        ONEX1e8(overrides?: CallOverrides): Promise<BigNumber>;
        PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<BigNumber>;
        PPM_DECIMALS(overrides?: CallOverrides): Promise<BigNumber>;
        PPM_SCALAR(overrides?: CallOverrides): Promise<BigNumber>;
        activateUserAccount(quoteNonce: BytesLike, finalRecipient: string, fundingToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        baseToken(overrides?: CallOverrides): Promise<BigNumber>;
        cancelLimitOrderByCloid(finalToken: string, cloid: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        coreTokenInfos(token: string, overrides?: CallOverrides): Promise<BigNumber>;
        cumulativeSponsoredActivationFee(token: string, overrides?: CallOverrides): Promise<BigNumber>;
        cumulativeSponsoredAmount(token: string, overrides?: CallOverrides): Promise<BigNumber>;
        donationBox(overrides?: CallOverrides): Promise<BigNumber>;
        executeFlow(params: CommonFlowParamsStruct, maxUserSlippageBps: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        executeSimpleTransferFlow(params: CommonFlowParamsStruct, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        fallbackHyperEVMFlow(params: CommonFlowParamsStruct, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        finalTokenInfos(token: string, overrides?: CallOverrides): Promise<BigNumber>;
        finalizeSwapFlows(finalToken: string, quoteNonces: BytesLike[], limitOrderOuts: BigNumberish[], overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<BigNumber>;
        lastPullFundsBlock(token: string, overrides?: CallOverrides): Promise<BigNumber>;
        predictSwapHandler(finalToken: string, overrides?: CallOverrides): Promise<BigNumber>;
        renounceRole(role: BytesLike, callerConfirmation: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        sendSponsorshipFundsToSwapHandler(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setCoreTokenInfo(token: string, coreIndex: BigNumberish, canBeUsedForAccountActivation: boolean, accountActivationFeeCore: BigNumberish, bridgeSafetyBufferCore: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        setFinalTokenInfo(finalToken: string, spotIndex: BigNumberish, isBuy: boolean, feePpm: BigNumberish, suggestedDiscountBps: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        submitLimitOrderFromBot(finalToken: string, priceX1e8: BigNumberish, sizeX1e8: BigNumberish, cloid: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        swaps(quoteNonce: BytesLike, overrides?: CallOverrides): Promise<BigNumber>;
        sweepERC20FromSwapHandler(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        sweepErc20(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        sweepErc20FromDonationBox(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        sweepNative(amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        sweepOnCore(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
        sweepOnCoreFromSwapHandler(finalToken: string, finalTokenAmount: BigNumberish, baseTokenAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        AUTHORIZED_FUNDED_FLOW_SLOT(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        DEFAULT_ADMIN_ROLE(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        FUNDS_SWEEPER_ROLE(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        ONEX1e8(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        PERMISSIONED_BOT_ROLE(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        PPM_DECIMALS(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        PPM_SCALAR(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        activateUserAccount(quoteNonce: BytesLike, finalRecipient: string, fundingToken: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        baseToken(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        cancelLimitOrderByCloid(finalToken: string, cloid: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        coreTokenInfos(token: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        cumulativeSponsoredActivationFee(token: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        cumulativeSponsoredAmount(token: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        donationBox(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        executeFlow(params: CommonFlowParamsStruct, maxUserSlippageBps: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        executeSimpleTransferFlow(params: CommonFlowParamsStruct, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        fallbackHyperEVMFlow(params: CommonFlowParamsStruct, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        finalTokenInfos(token: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        finalizeSwapFlows(finalToken: string, quoteNonces: BytesLike[], limitOrderOuts: BigNumberish[], overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        getRoleAdmin(role: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        grantRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        hasRole(role: BytesLike, account: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lastPullFundsBlock(token: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        predictSwapHandler(finalToken: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        renounceRole(role: BytesLike, callerConfirmation: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        revokeRole(role: BytesLike, account: string, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        sendSponsorshipFundsToSwapHandler(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setCoreTokenInfo(token: string, coreIndex: BigNumberish, canBeUsedForAccountActivation: boolean, accountActivationFeeCore: BigNumberish, bridgeSafetyBufferCore: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        setFinalTokenInfo(finalToken: string, spotIndex: BigNumberish, isBuy: boolean, feePpm: BigNumberish, suggestedDiscountBps: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        submitLimitOrderFromBot(finalToken: string, priceX1e8: BigNumberish, sizeX1e8: BigNumberish, cloid: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        supportsInterface(interfaceId: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        swaps(quoteNonce: BytesLike, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        sweepERC20FromSwapHandler(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        sweepErc20(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        sweepErc20FromDonationBox(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        sweepNative(amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        sweepOnCore(token: string, amount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
        sweepOnCoreFromSwapHandler(finalToken: string, finalTokenAmount: BigNumberish, baseTokenAmount: BigNumberish, overrides?: Overrides & {
            from?: string;
        }): Promise<PopulatedTransaction>;
    };
}
